Bug 343831 - Error occurred when I tried to launch "Sofware Update"
Error occurred when I tried to launch "Sofware Update"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-20 10:01 EDT by Luigi Fonti
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 09:49:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luigi Fonti 2007-10-20 10:01:56 EDT
Description of problem:
Component: pirut
Summary: TB8f5a3431 yumRepo.py:749:_getRepoXML:RepoError: Cannot retrieve
repository metadata (repomd.xml) for repository: skype. Please verify its path
and try again

Traceback (most recent call last):
  File "/usr/sbin/pup", line 650, in <module>
    main()
  File "/usr/sbin/pup", line 643, in main
    pup = PackageUpdater(not options.autoapply, options.config)
  File "/usr/sbin/pup", line 88, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 124, in __init__
    self.reset()
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 223, in reset
    self.doTsSetup()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 64, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 78, in _getTs
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 521, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 381, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 239, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 142, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 199, in
_check_db_version
    if repo.repoXML.repoData.has_key(mdtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 753, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 749, in _getRepoXML
    raise Errors.RepoError, (msg)
RepoError: Cannot retrieve repository metadata (repomd.xml) for repository:
skype. Please verify its path and try again

Local variables in innermost frame:
msg: Cannot retrieve repository metadata (repomd.xml) for repository: skype.
Please verify its path and try again
self: skype
e: failure: repodata/repomd.xml from skype: [Errno 256] No more mirrors to try.
Comment 1 Jeremy Katz 2007-10-22 14:09:30 EDT
Can you install the updated pirut package from the f7-updates-testing repository
with
   yum --enablerepo=updates-testing update pirut
and see if this continues to happen?
Comment 2 Jeremy Katz 2007-12-31 09:49:30 EST
Closing due to inactivity.  If you have further information to add to this
report, please either reopen the bug or file a new one.  

Note You need to log in before you can comment on or make changes to this bug.